cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wido den Hollander <w...@widodh.nl>
Subject Re: Older Ceph packages for Ubuntu 12.04 (Precise Pangolin) to recompile libvirt with RBD support
Date Mon, 06 Jun 2016 06:54:13 GMT
I think you will have to compile Ceph from source or use Ceph Dumpling.

Cuttlefish is no longer supported.

Wido

> Op 5 juni 2016 om 10:04 schreef Cloud List <cloud-list@sg.or.id>:
> 
> 
> Hi,
> 
> Anyone can assist on this?
> 
> Looking forward to your reply, thank you.
> 
> Cheers.
> 
> 
> On Fri, Jun 3, 2016 at 11:56 AM, Cloud List <cloud-list@sg.or.id> wrote:
> 
> > Dear all,
> >
> > I am trying to setup older version of CloudStack 4.2.0 on Ubuntu 12.04 to
> > use Ceph RBD as primary storage for our upgrade testing purposes. Two of
> > the steps involved were to add below repository to manually compile libvirt
> > to have RBD support, since the default libvirt on Ubuntu 12.04 doesn't have
> > RBD support by default, unlike on Ubuntu 14.04:
> >
> > ====
> > # wget -q -O- '
> > https://ceph.com/git/?p=ceph.git;a=blob_plain;f=keys/release.asc' | sudo
> > apt-key add -
> > OK
> >
> > # echo deb http://eu.ceph.com/debian-cuttlefish/ $(lsb_release -sc) main
> > | sudo tee /etc/apt/sources.list.d/ceph.list
> > deb http://eu.ceph.com/debian-cuttlefish/ precise main
> > ====
> >
> > But when I ran sudo apt-get update, I am receiving this error (excerpts):
> >
> > ====
> > Err http://eu.ceph.com precise/main amd64 Packages
> >   404  Not Found
> > Err http://eu.ceph.com precise/main i386 Packages
> >   404  Not Found
> >
> > W: Failed to fetch
> > http://eu.ceph.com/debian-cuttlefish/dists/precise/main/binary-amd64/Packages
> > 404  Not Found
> >
> > W: Failed to fetch
> > http://eu.ceph.com/debian-cuttlefish/dists/precise/main/binary-i386/Packages
> > 404  Not Found
> >
> > E: Some index files failed to download. They have been ignored, or old
> > ones used instead.
> > ====
> >
> > It seems that the repository for the particular required packages has been
> > removed, anyone can advise if I can get the required packages, may be from
> > a different location?
> >
> > Any help is greatly appreciated.
> >
> > Looking forward to your reply, thank you.
> >
> > Cheers.
> >
> > -ip-
> >

Mime
View raw message